<?php
	include "vars.php";
	
	$islogged = "";
	$islogged = $HTTP_COOKIE_VARS["eDenter_bo_logged"];
	$cookiefirma = $HTTP_COOKIE_VARS["eDenter_bo_sign"];
	
	$host1 = strtolower("://".$HTTP_SERVER_VARS["HTTP_HOST"]);
	$host2 = strtolower("://".$HTTP_SERVER_VARS["SERVER_NAME"]);
	$ref = 	strtolower($HTTP_SERVER_VARS["HTTP_REFERER"]);
	
	//$validato = 0;
	$validato = 1;
	
	if ($ref) {
		if ($host1 != "" && is_integer(strpos($ref,$host1))) {
			$validato = 1;
		} elseif ($host2 != "" && is_integer(strpos($ref,$host2))) {
			$validato = 1;
		}
	} else {
		$validato = 1;
	}
	
	if ($islogged != $HTTP_SERVER_VARS["REMOTE_ADDR"]) {
		$validato = 0;
	}
	
	$firma = urlencode(md5($adminuser . $adminpass));
	
	if ($firma != $cookiefirma) {
		$validato = 0;
	}
	
	if (!$validato) {
		header("Location: bologin.php");
		die();
	}
	
	$delim = $HTTP_POST_VARS['delimitatore'];
	$dec = $HTTP_POST_VARS['decimali'];
	if (!isset($delim))
	{
		$delim = 0;
	}
	if (!isset($dec))
	{
		$dec = 0;
	}

	$delimitatori = array(";","\t",",");
	$decimali = array(",",".");

	$sepcol = $delimitatori[$delim];

	$sepdec = $decimali[$dec];
		
	$sql = "SELECT dettaglio.codice, giacenza FROM dettaglio LEFT JOIN  giacenze ON (giacenze.codice = dettaglio.codice) WHERE dettaglio.codice <>'' AND NOT ISNULL(giacenza)";
	$codici = array();
	$num_codice=0;
	$csv = "";
	$result = mysql_query($sql);
	
	while ($row = mysql_fetch_array($result))
	{
		$codice = $row['codice'];
		$giacenza = $row['giacenza'];
		$giacenza = str_replace(".",$sepdec,$giacenza);
		if (!in_array($codice,$codici))
		{
			$csv .= '"'.str_replace('"','""',$codice).'"'.$sepcol.$giacenza."\r\n";
			$codici[$num_codice] = $codice;
			$num_codice = $num_codice + 1;
		}
	}
	$sql = "SELECT opcodici.codice, giacenze.giacenza FROM opcodici INNER JOIN opzioni ON opcodici.OpID = opzioni.ID LEFT JOIN giacenze ON opcodici.codice = giacenze.codice WHERE opcodici.codice <>'' AND NOT ISNULL(giacenza)";
	$result = mysql_query($sql);
	while ($row = mysql_fetch_array($result))
	{
		$codice = $row['codice'];
		$giacenza = $row['giacenza'];
		$giacenza = str_replace(".",$sepdec,$giacenza);
		if (!in_array($codice,$codici))
		{
			$csv .= '"'.str_replace('"','""',$codice).'"'.$sepcol.$giacenza."\r\n";
			$num_codice = $num_codice + 1;
		}
	}

	header("Content-Type: application/download");
	header('Content-Disposition: attachment; filename="giacenze.csv"'); 
	header('Content-Length: '.strlen($csv));
	header('Content-Transfer-Encoding: binary');
    header('Pragma: no-cache');
    header('Expires: 0'); 
	echo $csv;
?>